import at.jku.ssw.Set;
import at.jku.ssw.Iterator;
import at.jku.students.BinaryTreeSet;

class Test {
  
  public static void main(String[] args) {
    char[] values = { 'j', 'm', 'r', 'z', 'f', 'c', 'i', 'r', 'z', 'f', 'b', 'a' };
    Set set = new BinaryTreeSet();
    for (int i = 0; i < values.length; i++) {
      set.add(values[i]);
    }
    
    makeDot(((BinaryTreeSet) set), "test1.dot");
    
    printSet(set);
  }
  
  private static void makeDot(BinaryTreeSet set, String filename) {
    Out.open(filename);
    String dot = set.makeDot();
    Out.print(dot);
    Out.close();
  }
  
  private static void printSet(Set set) {
    // size=4: a, f, g, h
    Out.print("size=" + set.size() + ": ");
    Iterator it = set.iterator();
    boolean isFirst = true;
    while (it.hasNext()) {
      if (!isFirst) {
        Out.print(", ");
      } else {
        isFirst = false;
      }
      Out.print(it.next());
    }
    Out.println();
  }
    
}